import { request } from '/@/utils/service';

const apiPrefix = '/api/searchterm/';

export function getAsinMetrics(query: any) {
  return request({
    url: apiPrefix + 'asinmetrics/',
    method: 'GET',
    params: query,
  });
}

export function getHeatmapData(query: any) {
  return request({
    url: apiPrefix + 'heatmap/',
    method: 'GET',
    params: query,
  });
}

export function getFunnelData(query: any) {
  return request({
    url: apiPrefix + 'funnelchart/',
    method: 'GET',
    params: query,
  });
}

export function getWordCloudData(query: any) {
  return request({
    url: apiPrefix + 'wordcloud/',
    method: 'GET',
    params: query,
  });
}

export function getTableData(query: any) {
  return request({
    url: apiPrefix + 'rootmetric/',
    method: 'GET',
    params: query,
  });
}
